## Process this file with automake to produce Makefile.in

AUTOMAKE_OPTIONS = foreign

c_sources = \
        machine.c                 \
        parameters.c              \
	buffer.c                  \
	parser.c                  \
	file.c                    \
	hash.c                    \
	stream_supp.c             \
	stream_c.c                \
	char_io_c.c               \
	set.c                     \
	archi.c                   \
	fol.c                     \
	symbol_info.c             \
	printer.c                 \
	trail.c                   \
	vca.c                     \
	termop.c                  \
	collect.c                 \
	collapse.c                \
	objects.c                 \
	tree-indexing.c           \
	agenda.c                  \
	forest.c                  \
	debugtools.c              \
	evalpred.c                \
	rt-evalpred.c             \
	bi_os.c                   \
	generalizer.c             \
	pseudotfs.c               \
	init.c                    \
	rt.c                      \
	dyam.c			  \
	oset.c                    \
	stat_model.c

h_sources = \
	machine.h		\
	token.h			\
	buffer.h		\
	hash.h			\
	stream_supp.h		\
	set.h			\
	archi.h			\
	fol.h			\
	vca.h			\
	trail.h			\
	param.h			\
	objects.h		\
	tree-indexing.h		\
	tfs.h			\
	rt.h			\
	dyalog.h		\
	builtins.h		\
        libdyalog.h		\
	bigloo.h

special_h_sources = config.h

ma_sources = builtin.ma boot.ma

lex_sources = lexer.l

dyalog_LTLIBRARIES = libdyalog.la
dist_dyalog_HEADERS = $(h_sources) tfslib.h
nodist_dyalog_HEADERS = $(special_h_sources)

dist_libdyalog_la_SOURCES = $(c_sources) $(lex_sources) $(h_sources) $(ma_sources)
nodist_libdyalog_la_SOURCES = $(special_h_sources)

libdyalog_la_LDFLAGS = -version-info 1:0:0

AM_CFLAGS = ${PG}
AM_LDFLAGS = ${PGLD}

EXTRA_DIST=extract_pl_builtin.pl tfslib.h

AM_CPPFLAGS = -I/usr/local/include

SUFFIXES= .ma .s .o .lo

MA_ASM = ${top_builddir}/Ma2Asm/dyam2asm

builtin.ma: $(c_sources)
	$(PERL) ${srcdir}/extract_pl_builtin.pl $(c_sources) > $@

.ma.s: 
	${MA_ASM} ${PG} $< -o $@

boot.s builtin.s: fol.h bigloo.h

clean-local:
	-rm *.s
